Move apps to the apps repo

This commit is contained in:
Manuel Tortosa 2010-05-30 16:22:30 +00:00
parent 3a24c021c2
commit c8a1767d6b
17 changed files with 14 additions and 1037 deletions

View File

@ -1,36 +0,0 @@
# $Id: PKGBUILD 72214 2010-03-13 20:06:09Z andrea $
# Contributor: Andrea Scarpino <andrea@archlinux.org>
# Contributor: damir <damir@archlinux.org>
pkgname=amarok
replaces=('amarok-base' 'amarok-engine-xine' 'amarok-base-mysqlfree')
pkgver=2.3.0
pkgrel=1
pkgdesc="A media player for KDE"
arch=("i686" "x86_64")
url="http://amarok.kde.org"
license=('GPL2' 'LGPL2' 'FDL')
depends=('kdebase-runtime' 'mysql' 'qtscriptgenerator' 'taglib-extras' 'liblastfm')
makedepends=('pkgconfig' 'automoc4' 'cmake' 'libgpod' 'libmtp' 'loudmouth')
optdepends=("libgpod: support Apple iPod audio devices"
"libmtp: support for portable media devices"
"loudmouth: backend needed by mp3tunes for syncing")
install=${pkgname}.install
source=("http://download.kde.org/stable/${pkgname}/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2")
md5sums=('fc672a2848e36b3b44eb81dd1466e4f4')
build() {
cd ${srcdir}
mkdir build
cd build
cmake ../${pkgname}-${pkgver} \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_SKIP_RPATH=ON \
-DCMAKE_INSTALL_PREFIX=/usr
make || return 1
}
package(){
cd ${srcdir}/build
make DESTDIR=${pkgdir} install || return 1
}

View File

@ -1,11 +0,0 @@
post_install() {
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
}
post_upgrade() {
post_install
}
post_remove() {
post_install
}

View File

@ -1,23 +0,0 @@
# $Id: PKGBUILD 37020 2009-04-30 00:06:28Z eric $
# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
pkgname=emovix
pkgver=0.9.0
pkgrel=4
pkgdesc="Create Movix-CD's (also emovix plugin for k3b)"
arch=(i686 x86_64)
url="http://movix.sourceforge.net/"
license=('GPL2')
depends=('perl' 'cdrtools')
options=('!makeflags')
source=(http://downloads.sourceforge.net/sourceforge/movix/$pkgname-$pkgver.tar.gz)
md5sums=('a96492f338824b24c5a9e714c57eddcf')
build() {
cd $srcdir/$pkgname-$pkgver
./configure --prefix=/usr || return 1
make || return 1
make DESTDIR=$pkgdir install || return 1
find $pkgdir/usr/share/emovix -type d -exec chmod 755 {} \; || return 1
}

View File

@ -1,42 +0,0 @@
#
# KDE SC Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=k3b
pkgver=1.91.0rc2
pkgrel=1
depends=('kdebase-runtime' 'kdemultimedia-common' 'libsamplerate' 'libmad'
'ffmpeg>=0.5' 'taglib>=1.4' 'libmpcdec>=1.2.5' 'libdvdread>=4.1.3'
'cdrdao' 'cdrkit' 'shared-mime-info' 'libxft')
makedepends=('cmake' 'pkgconfig' 'automoc4' )
pkgdesc="Feature-rich and easy to handle CD burning application"
arch=("i686" "x86_64")
license=('GPL')
install=$pkgname.install
source=(http://downloads.sourceforge.net/sourceforge/k3b/${pkgname}-${pkgver}.tar.bz2)
url="http://k3b.sourceforge.net/"
optdepends=('dvd+rw-tools: for dvd burning support'
'vcdimager: for vcd burning support'
'transcode: for advanced mpeg conversion support'
'emovix: for bootable multimedia cd/dvd support')
options=(!libtool)
build() {
# fix build
export CXXFLAGS="-march=i686 -mtune=generic -O2 -pipe -D__STDC_CONSTANT_MACROS"
cd ${srcdir}/
mkdir build
cd build
cmake ../${pkgname}-1.91.0 \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_BUILD_TYPE=Release
make || return 1
make DESTDIR=${pkgdir} install || return 1
}
md5sums=('56d1c726a2771d341f59f08d5364d141')

View File

@ -1,12 +0,0 @@
post_install() {
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
update-mime-database usr/share/mime &> /dev/null
}
post_upgrade() {
post_install
}
post_remove() {
post_install
}

View File

@ -1,37 +0,0 @@
# Maintainer: Daniel Isenmann <daniel@archlinux.org>
# Contributor: dorphell <dorphell@archlinux.org>
# Contributor: Sigitas Mazaliauskas <sigis@archlinux.us>
pkgname=opera
pkgver=10.10
_buildver=4742
pkgrel=1
pkgdesc="The Opera web browser"
url="http://www.opera.com"
depends=('qt')
license=('custom:opera')
arch=('i686' 'x86_64')
source=(http://ftp.opera.com/pub/opera/linux/${pkgver/./}/final/en/i386/opera-${pkgver}.gcc4-qt4.i386.tar.bz2 opera.desktop)
md5sums=('b22f377a7a85df3f7a3831fcd2a4b2e4'
'43331f6889a24c55274968bb47ae824d')
[ "$CARCH" = "x86_64" ] && source=(http://ftp.opera.com/pub/opera/linux/${pkgver/./}/final/en/x86_64/opera-${pkgver}.gcc4-qt4.x86_64.tar.bz2 opera.desktop)
[ "$CARCH" = "x86_64" ] && md5sums=('bedd94ab5a663d8e4b694da4772471b4'
'43331f6889a24c55274968bb47ae824d')
build() {
if [ "$CARCH" = "x86_64" ]; then
cd ${srcdir}/opera-${pkgver}-${_buildver}.gcc4-qt4.x86_64
else cd ${srcdir}/opera-${pkgver}-${_buildver}.gcc4-qt4.i386
fi
./install.sh DESTDIR=${pkgdir}
install -D -m 644 ${srcdir}/opera.desktop ${pkgdir}/usr/share/applications/opera.desktop
install -D -m 644 LICENSE ${pkgdir}/usr/share/licenses/opera/license.txt
if [ "$CARCH" = "x86_64" ]; then
install -D -m 644 ${srcdir}/opera-${pkgver}-${_buildver}.gcc4-qt4.x86_64/usr/share/pixmaps/opera.xpm ${pkgdir}/usr/share/pixmaps/opera.xpm
else
install -D -m 644 ${srcdir}/opera-${pkgver}-${_buildver}.gcc4-qt4.i386/usr/share/pixmaps/opera.xpm ${pkgdir}/usr/share/pixmaps/opera.xpm
fi
}

View File

@ -1,91 +0,0 @@
[Desktop Entry]
Encoding=UTF-8
Exec=opera %u
Terminal=false
Icon=opera
Type=Application
MimeType=text/html
Categories=Application;Network;
Name=Opera
Name[ar]=أوبرا
Name[bn]=
Name[eo]=Opero
Name[fa]=اپرا
Name[hi]=
Name[ko]=
Name[lo]=
Name[pa]=
Name[ta]=
Name[th]=
GenericName=Web Browser
GenericName[af]=Web Blaaier
GenericName[ar]=متصفح ويب
GenericName[az]=Veb Səyyahı
GenericName[bg]=Браузър
GenericName[bn]=
GenericName[br]=Furcher ar Gwiad
GenericName[bs]=WWW Preglednik
GenericName[ca]=Fullejador web
GenericName[cs]=WWW prohlížeč
GenericName[cy]=Porydd Gwe
GenericName[da]=Browser
GenericName[de]=Web-Browser
GenericName[el]=Περιηγητής Ιστού
GenericName[eo]=TTT-legilo
GenericName[es]=Navegador web
GenericName[et]=Veebilehitseja
GenericName[eu]=Web arakatzailea
GenericName[fa]=مرورگر وب
GenericName[fi]=WWW-selain
GenericName[fo]=Alnótsfar
GenericName[fr]=Navigateur web
GenericName[fy]=Webblêder
GenericName[ga]=Brabhsálaí Lín
GenericName[gl]=Navegador Web
GenericName[he]=דפדפן אינטרנט
GenericName[hi]=
GenericName[hr]=Web preglednik
GenericName[hu]=Webböngésző
GenericName[is]=Vafri
GenericName[it]=Browser Web
GenericName[ja]=
GenericName[km]=
GenericName[ko]=
GenericName[lo]=
GenericName[lt]=Žiniatinklio naršyklė
GenericName[lv]=Tīmekļa Pārlūks
GenericName[mk]=Прелистувач на Интернет
GenericName[mn]=Веб-Хөтөч
GenericName[ms]=Pelayar Web
GenericName[nb]=Nettleser
GenericName[nds]=Nettkieker
GenericName[nl]=Webbrowser
GenericName[nn]=Nettlesar
GenericName[nso]=Seinyakisi sa Web
GenericName[pa]=
GenericName[pl]=Przeglądarka WWW
GenericName[pt]=Navegador Web
GenericName[pt_BR]=Navegador Web
GenericName[ro]=Navigator de web
GenericName[ru]=Веб-браузер
GenericName[rw]=Mucukumbuzi Urubuga
GenericName[se]=Fierpmádatlogan
GenericName[sk]=Webový prehliadač
GenericName[sl]=Spletni brskalnik
GenericName[sr]=Веб прегледач
GenericName[sr@Latn]=Veb pregledač
GenericName[ss]=Ibrawuza yeWeb
GenericName[sv]=Webbläsare
GenericName[ta]= ி
GenericName[tg]=Тафсиргари вэб
GenericName[th]=
GenericName[tr]=Web Tarayıcı
GenericName[uk]=Навігатор Тенет
GenericName[uz]=Веб-браузер
GenericName[ven]=Buronza ya Webu
GenericName[vi]=Trình duyt Web
GenericName[wa]=Betchteu waibe
GenericName[xh]=Umkhangeli zincwadi we Web
GenericName[zh_CN]=Web
GenericName[zh_TW]=
GenericName[zu]=Umcingi we-Web

View File

@ -1,35 +0,0 @@
# $Id: PKGBUILD 11053 2010-02-05 09:31:08Z vegai $
# Maintainer: Vesa Kaihlavirta <vegai@iki.fi>
pkgname=quassel
pkgver=0.6.1
pkgrel=1
pkgdesc="QT4 irc client with a separated core"
url="http://quassel-irc.org"
arch=('i686' 'x86_64')
license=('GPL')
depends=('kdelibs' 'oxygen-icons' 'hicolor-icon-theme' 'libindicate-qt')
makedepends=('cmake' 'automoc4')
source=("$url/system/files/$pkgname-$pkgver.tar.bz2"
'rc.quassel'
'quassel.conf')
install=quassel.install
backup=(etc/conf.d/quassel.conf)
build() {
cd ${srcdir}
mkdir build
cd build
cmake -D CMAKE_INSTALL_PREFIX=/usr/ -DWITH_KDE=1 -D CMAKE_BUILD_TYPE="Release" ../$pkgname-$pkgver/ -Wno-dev || return 1
make || return 1
make DESTDIR=${pkgdir} install
install -D -m755 ${srcdir}/rc.quassel \
${pkgdir}/etc/rc.d/quassel || return 1
install -D -m644 $srcdir/quassel.conf $pkgdir/etc/conf.d/quassel || return 1
}
md5sums=('569d310d06f124952009704d55a98100'
'91e414cb313430a2360f1a594b1d6ed3'
'479229556ba0dd94e3ce28e31e5deea9')

View File

@ -1,2 +0,0 @@
QUASSEL_USER=quassel
LISTEN=127.0.0.1

View File

@ -1,26 +0,0 @@
post_install() {
useradd -r -K SYS_UID_MAX=499 -K SYS_GID_MAX=499 -s /bin/sh -d /var/lib/quassel quassel
mkdir -p /var/lib/quassel && chown -R quassel:quassel /var/lib/quassel
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
}
post_upgrade() {
[ `vercmp $2 0.5.2-1` -le 0 ] && (
cat <<EOF
==> - quasselcore now runs as the quassel user
==> - quasselcore now listens to port 127.0.0.1 by default
==> - both of above are configurable: /etc/conf.d/quassel
EOF
/etc/rc.d/quassel stop
post_install
) || true
}
pre_remove() {
/etc/rc.d/quassel stop
}
post_remove() {
userdel quassel
}

View File

@ -1,41 +0,0 @@
#!/bin/bash
. /etc/rc.conf
. /etc/rc.d/functions
. /etc/conf.d/quassel
PIDFILE=/var/run/quassel.pid
PID=`pidof -o %PPID /usr/bin/quasselcore`
case "$1" in
start)
stat_busy "Starting Quassel Core"
[ -z "$PID" ] && su -l -c "/usr/bin/quasselcore --configdir=/var/lib/quassel --listen=$LISTEN &" $QUASSEL_USER &>/dev/null
if [ $? -gt 0 ]; then
stat_fail
else
echo $PID > $PIDFILE
add_daemon quassel
stat_done
fi
;;
stop)
stat_busy "Stopping Quassel Core"
[ ! -z "$PID" ] && kill $PID &> /dev/null
if [ $? -gt 0 ]; then
stat_fail
else
rm -f $PIDFILE
rm_daemon quassel
stat_done
fi
;;
restart)
$0 stop
sleep 1
$0 start
;;
*)
echo "usage: $0 {start|stop|restart}"
esac
exit 0

View File

@ -1,53 +0,0 @@
#
# KDE SC Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=rekonq-git
pkgver=20100523
pkgrel=1
pkgdesc="rekonq is a KDE web browser based on QtWebKit."
arch=('i686' 'x86_64')
url="http://rekonq.sourceforge.net/"
license=('GPL')
groups=()
depends=('kdelibs>=4.4.0' 'qt>=4.6')
makedepends=('gcc' 'cmake' 'automoc4' 'git')
provides=(rekonq)
conflicts=(rekonq)
replaces=()
backup=()
options=()
source=()
noextract=()
md5sums=()
_gitroot="git://gitorious.org/rekonq/mainline.git"
_gitname="mainline"
build(){
cd $srcdir
if [[ -d $_gitname ]]; then
(cd $_gitname && git pull origin)
else
git clone $_gitroot $_gitname
fi
cd $_gitname
rm -rf build
mkdir build && cd build
cmake -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_SKIP_RPATH=ON \
-DCMAKE_INSTALL_PREFIX=/usr .. || return 1
make || return 1
make DESTDIR=${pkgdir} install
}

View File

@ -1,37 +0,0 @@
#
# KDE SC Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=rekonq
pkgver=0.4.0
pkgrel=1
pkgdesc='A WebKit based web browser for KDE'
arch=('i686' 'x86_64')
url='http://rekonq.sourceforge.net/'
license=('GPL')
depends=('kdelibs>=4.4.0' 'qt>=4.6')
makedepends=('cmake' 'automoc4')
install=${pkgname}.install
source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
md5sums=('607e826131d8ead1e48a7611ba2ef075')
build(){
cd ${srcdir}
mkdir build
cd build
cmake ../${pkgname}-${pkgver} \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_SKIP_RPATH=ON \
-DCMAKE_INSTALL_PREFIX=/usr
make || return 1
}
package() {
cd ${srcdir}/build
make DESTDIR=${pkgdir} install
}

View File

@ -1,11 +0,0 @@
post_install() {
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
}
post_upgrade() {
post_install
}
post_remove() {
post_install
}

View File

@ -1,38 +0,0 @@
#
# Chakra Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=smplayer
pkgver=0.6.9
pkgrel=1
pkgdesc="A complete front-end for MPlayer"
arch=('i686' 'x86_64')
url="http://smplayer.sourceforge.net/"
license=('GPL')
depends=('qt>=4.6.2' 'mplayer>=30526')
source=(http://downloads.sourceforge.net/sourceforge/smplayer/${pkgname}-${pkgver}.tar.bz2)
md5sums=('dfe874b386509de5df78537489f95004')
build() {
cd ${srcdir}/${pkgname}-${pkgver}
# remove broken translation
sed -i "s|translations/smplayer_gl.ts|#translations/smplayer_gl.ts|" src/smplayer.pro
make PREFIX=/usr || return 1
make PREFIX=${pkgdir}/usr install || return 1
install -dm755 ${pkgdir}/usr/share/pixmaps
ln -s /usr/share/icons/hicolor/64x64/apps/smplayer.png \
${pkgdir}/usr/share/pixmaps/
sed -i 's|Exec=smplayer %U|Exec=smplayer %F|' ${pkgdir}/usr/share/applications/smplayer.desktop || return 1
sed -i 's|Exec=smplayer -add-to-playlist %U|Exec=smplayer -add-to-playlist %F|' \
${pkgdir}/usr/share/applications/smplayer_enqueue.desktop || return 1
}

View File

@ -1,33 +0,0 @@
#
# KDE SC Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>
# include global config
source ../_buildscripts/${current_repo}-${_arch}-cfg.conf
pkgname=yakuake
pkgver=2.9.6
pkgrel=1
pkgdesc="A KDE konsole application with the look and feel of that in the Quake engine"
arch=('i686' 'x86_64')
url="http://yakuake.kde.org"
license=('GPL')
depends=('kdebase-konsole')
makedepends=('cmake' 'automoc4')
source=("http://download.berlios.de/${pkgname}/${pkgname}-${pkgver}.tar.bz2")
md5sums=('d5cbb912596fd1b3a92fdb04fe46cee0')
build() {
cd ${srcdir}
mkdir build
cd build
cmake ../${pkgname}-${pkgver} \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_SKIP_RPATH=ON \
-DCMAKE_{SHARED,MODULE,EXE}_LINKER_FLAGS='-Wl,--no-undefined -Wl,--as-needed' \
-DCMAKE_INSTALL_PREFIX=/usr
make
make DESTDIR=${pkgdir} install
}

523
makepkg
View File

@ -2,10 +2,7 @@
#
# makepkg - make packages compatible for use with pacman
# Generated from makepkg.in; do not edit by hand.
# Modified by Jan Mette & Phil Miller to fit chakra-project
#
# Copyright (c) 2010 by Phil Miller <philm@chakra-project.org>
# Copyright (c) 2006-2010 by Jan Mette
# Copyright (c) 2006-2009 Pacman Development Team <pacman-dev@archlinux.org>
# Copyright (c) 2002-2006 by Judd Vinet <jvinet@zeroflux.org>
# Copyright (c) 2005 by Aurelien Foret <orelien@chez.com>
@ -40,7 +37,7 @@ export TEXTDOMAINDIR='/usr/share/locale'
# file -i does not work on Mac OSX unless legacy mode is set
export COMMAND_MODE='legacy'
myver='3.3.3-chakra'
myver='3.3.3'
confdir='../_buildscripts'
BUILDSCRIPT='PKGBUILD'
startdir="$PWD"
@ -48,10 +45,8 @@ ARCH="$_arch"
current_repo=`pushd $startdir &>/dev/null; pushd .. &>/dev/null; pwd | awk -F '/' '{print $NF}'; popd &>/dev/null; popd &>/dev/null`
srcdir="$startdir/src"
pkgdir="$startdir/pkg"
dbgdir="$startdir/dbg"
hdrdir="$startdir/hdr"
packaging_options=('strip' 'splitdbg' 'splithdr' 'docs' 'libtool' 'emptydirs' 'zipman' 'purge')
packaging_options=('strip' 'docs' 'libtool' 'emptydirs' 'zipman' 'purge')
other_options=('ccache' 'distcc' 'makeflags' 'force')
splitpkg_overrides=('pkgdesc' 'license' 'groups' 'depends' 'optdepends' 'provides' \
'conflicts' 'replaces' 'backup' 'options' 'install')
@ -871,59 +866,6 @@ tidy_install() {
done
fi
if [ "$(check_option splitdbg)" = "y" ] || [ "$SPLIT_DBG" = "1" ]; then
msg2 "$(gettext "Moving debugging symbols from binaries and libraries into separate files...")"
local binary
if [ -z "${STRIP_DIRS[*]}" ]; then
# fall back to default value
STRIP_DIRS=(bin lib sbin usr/{bin,lib,sbin,local/{bin,lib,sbin}}
opt/*/{bin,lib,sbin})
fi
find ${STRIP_DIRS[@]} -type f 2>/dev/null | while read binary ; do
case "$(file -biz "$binary")" in
*application/x-sharedlib*) # Libraries (.so)
/usr/bin/objcopy --only-keep-debug "$binary" "$binary.debug"
/usr/bin/strip --strip-debug --strip-unneeded "$binary"
debug_basebinary=`echo "$binary" | awk -F '/' '{print $NF}'`
debug_symbolfile=`echo "$binary.debug" | awk -F '/' '{print $NF}'`
debug_basedir=`dirname "$binary.debug"`
pushd $debug_basedir &>/dev/null
/usr/bin/objcopy --add-gnu-debuglink="$debug_symbolfile" "$debug_basebinary"
popd &>/dev/null
if [ ! -d "${dbgdir}/usr/lib/debug/${debug_basedir}" ]; then
mkdir -p "${dbgdir}/usr/lib/debug/${debug_basedir}"
fi
mv "$binary.debug" "${dbgdir}/usr/lib/debug/${debug_basedir}/$debug_symbolfile";;
*application/x-archive*) # Libraries (.a)
/usr/bin/objcopy --only-keep-debug "$binary" "$binary.debug"
/usr/bin/strip --strip-debug --strip-unneeded "$binary"
debug_basebinary=`echo "$binary" | awk -F '/' '{print $NF}'`
debug_symbolfile=`echo "$binary.debug" | awk -F '/' '{print $NF}'`
debug_basedir=`dirname "$binary.debug"`
pushd $debug_basedir &>/dev/null
/usr/bin/objcopy --add-gnu-debuglink="$debug_symbolfile" "$debug_basebinary"
popd &>/dev/null
if [ ! -d "${dbgdir}/usr/lib/debug/${debug_basedir}" ]; then
mkdir -p "${dbgdir}/usr/lib/debug/${debug_basedir}"
fi
mv "$binary.debug" "${dbgdir}/usr/lib/debug/${debug_basedir}/$debug_symbolfile";;
*application/x-executable*) # Binaries
/usr/bin/objcopy --only-keep-debug "$binary" "$binary.debug"
/usr/bin/strip --strip-debug --strip-unneeded "$binary"
debug_basebinary=`echo "$binary" | awk -F '/' '{print $NF}'`
debug_symbolfile=`echo "$binary.debug" | awk -F '/' '{print $NF}'`
debug_basedir=`dirname "$binary.debug"`
pushd $debug_basedir &>/dev/null
/usr/bin/objcopy --add-gnu-debuglink="$debug_symbolfile" "$debug_basebinary"
popd &>/dev/null
if [ ! -d "${dbgdir}/usr/lib/debug/${debug_basedir}" ]; then
mkdir -p "${dbgdir}/usr/lib/debug/${debug_basedir}"
fi
mv "$binary.debug" "${dbgdir}/usr/lib/debug/${debug_basedir}/$debug_symbolfile";;
esac
done
fi
if [ "$(check_option strip)" = "y" -a -n "${STRIP_DIRS[*]}" ]; then
msg2 "$(gettext "Stripping debugging symbols from binaries and libraries...")"
local binary
@ -941,27 +883,6 @@ tidy_install() {
done
fi
if [ "$(check_option splithdr)" = "y" ] || [ "$SPLIT_HDR" = "1" ]; then
msg2 "$(gettext "Moving header files into separate package...")"
# this is very hardcoded stuff
if [ -d "${pkgdir}/usr/include" ]; then
msg "DEBUG: moving headers..."
ls -la ${pkgdir}/usr/include
# move headers into new package
mkdir -p ${hdrdir}/usr
mv -v ${pkgdir}/usr/include ${hdrdir}/usr
fi
if [ -d "${pkgdir}/usr/share/apps/cmake" ]; then
msg "DEBUG: moving .cmake files..."
ls -la ${pkgdir}/usr/share/apps/cmake
# also move .cmake files into the new package
mkdir -p ${hdrdir}/usr/share/apps
mv -v ${pkgdir}/usr/share/apps/cmake ${hdrdir}/usr/share/apps
fi
fi
if [ "$(check_option libtool)" = "n" ]; then
msg2 "$(gettext "Removing libtool .la files...")"
find . ! -type d -name "*.la" -exec rm -f -- '{}' \;
@ -1047,116 +968,6 @@ write_pkginfo() {
fi
}
write_debug_pkginfo() {
local builddate=$(date -u "+%s")
if [ -n "$PACKAGER" ]; then
local packager="$PACKAGER"
else
local packager="Unknown Packager"
fi
local size=$(du -sk | awk '{print $1 * 1024}')
msg2 "$(gettext "Generating .PKGINFO file...")"
echo "# Generated by makepkg $myver" >.PKGINFO
if [ "$INFAKEROOT" -eq 1 ]; then
echo "# using $(fakeroot -v)" >>.PKGINFO
fi
echo "# $(LC_ALL=C date -u)" >>.PKGINFO
echo "pkgname = $1-debug" >>.PKGINFO
[ "$SPLITPKG" -eq 1 ] && echo "pkgbase = $pkgbase" >>.PKGINFO
echo "pkgver = $pkgver-$pkgrel" >>.PKGINFO
echo "pkgdesc = $pkgdesc (Debugging Symbols)" >>.PKGINFO
echo "url = $url" >>.PKGINFO
echo "builddate = $builddate" >>.PKGINFO
echo "packager = $packager" >>.PKGINFO
echo "size = $size" >>.PKGINFO
if [ -n "$CARCH" ]; then
echo "arch = $CARCH" >>.PKGINFO
fi
echo "group = kde-debug" >>.PKGINFO
[ "$SPLITPKG" -eq 1 ] && echo "group = $pkgbase-debug" >>.PKGINFO
echo "group = kde-uninstall" >>.PKGINFO
local it
for it in "${packaging_options[@]}"; do
local ret="$(check_option $it)"
if [ "$ret" != "?" ]; then
if [ "$ret" = "y" ]; then
echo "makepkgopt = $it" >>.PKGINFO
else
echo "makepkgopt = !$it" >>.PKGINFO
fi
fi
done
# TODO maybe remove this at some point
# warn if license array is not present or empty
if [ -z "$license" ]; then
warning "$(gettext "Please add a license line to your %s!")" "$BUILDSCRIPT"
plain "$(gettext "Example for GPL\'ed software: license=('GPL').")"
fi
}
write_header_pkginfo() {
local builddate=$(date -u "+%s")
if [ -n "$PACKAGER" ]; then
local packager="$PACKAGER"
else
local packager="Unknown Packager"
fi
local size=$(du -sk | awk '{print $1 * 1024}')
msg2 "$(gettext "Generating .PKGINFO file...")"
echo "# Generated by makepkg $myver" >.PKGINFO
if [ "$INFAKEROOT" -eq 1 ]; then
echo "# using $(fakeroot -v)" >>.PKGINFO
fi
echo "# $(LC_ALL=C date -u)" >>.PKGINFO
echo "pkgname = $1-devel" >>.PKGINFO
[ "$SPLITPKG" -eq 1 ] && echo "pkgbase = $pkgbase" >>.PKGINFO
echo "pkgver = $pkgver-$pkgrel" >>.PKGINFO
echo "pkgdesc = $pkgdesc (Development Headers)" >>.PKGINFO
echo "url = $url" >>.PKGINFO
echo "builddate = $builddate" >>.PKGINFO
echo "packager = $packager" >>.PKGINFO
echo "size = $size" >>.PKGINFO
if [ -n "$CARCH" ]; then
echo "arch = $CARCH" >>.PKGINFO
fi
if [ "$(check_option force)" = "y" ]; then
echo "force = true" >> .PKGINFO
fi
local it
for it in "${license[@]}"; do
echo "license = $it" >>.PKGINFO
done
echo "depends = $nameofpkg" >>.PKGINFO
echo "group = kde-devel" >>.PKGINFO
echo "group = kde-headers" >>.PKGINFO
echo "group = kde-uninstall" >>.PKGINFO
for it in "${packaging_options[@]}"; do
local ret="$(check_option $it)"
if [ "$ret" != "?" ]; then
if [ "$ret" = "y" ]; then
echo "makepkgopt = $it" >>.PKGINFO
else
echo "makepkgopt = !$it" >>.PKGINFO
fi
fi
done
# TODO maybe remove this at some point
# warn if license array is not present or empty
if [ -z "$license" ]; then
warning "$(gettext "Please add a license line to your %s!")" "$BUILDSCRIPT"
plain "$(gettext "Example for GPL\'ed software: license=('GPL').")"
fi
}
create_package() {
if [ ! -d "$pkgdir" ]; then
error "$(gettext "Missing pkg/ directory.")"
@ -1226,216 +1037,6 @@ create_package() {
fi
}
create_debug_package() {
if [ ! -d "$dbgdir" ]; then
error "$(gettext "Missing dbg/ directory.")"
plain "$(gettext "Aborting...")"
exit 1 # $E_MISSING_PKGDIR
fi
if [ -z "$1" ]; then
nameofpkg="$pkgname"
else
nameofpkg="$1"
fi
cd "$dbgdir"
write_debug_pkginfo $nameofpkg
cd "$dbgdir"
msg "$(gettext "Creating package...")"
local comp_files=".PKGINFO"
# tar it up
msg2 "$(gettext "Compressing package...")"
case "$PKGEXT" in
*tar.gz) EXT=${PKGEXT%.gz} ;;
*tar.bz2) EXT=${PKGEXT%.bz2} ;;
*tar.xz) EXT=${PKGEXT%.xz} ;;
*) warning "$(gettext "'%s' is not a valid archive extension.")" \
"$PKGEXT" ; EXT=$PKGEXT ;;
esac
local pkg_file="$PKGDEST/${nameofpkg}-debug-${pkgver}-${pkgrel}-${CARCH}${EXT}"
local ret=0
# when fileglobbing, we want * in an empty directory to expand to
# the null string rather than itself
shopt -s nullglob
bsdtar -cf - $comp_files * > "$pkg_file" || ret=$?
shopt -u nullglob
if [ $ret -eq 0 ]; then
case "$PKGEXT" in
*tar.gz) gzip -f -n "$pkg_file" ;;
*tar.bz2) bzip2 -f "$pkg_file" ;;
*tar.xz) xz -z -f "$pkg_file" ;;
esac
ret=$?
fi
if [ $ret -ne 0 ]; then
error "$(gettext "Failed to create debug package file.")"
exit 1 # TODO: error code
fi
}
create_header_package() {
if [ ! -d "$hdrdir" ]; then
error "$(gettext "Missing hdr/ directory.")"
plain "$(gettext "Aborting...")"
exit 1 # $E_MISSING_PKGDIR
fi
if [ -z "$1" ]; then
nameofpkg="$pkgname"
else
nameofpkg="$1"
fi
cd "$hdrdir"
write_header_pkginfo $nameofpkg
cd "$hdrdir"
msg "$(gettext "Creating package...")"
local comp_files=".PKGINFO"
# tar it up
msg2 "$(gettext "Compressing package...")"
case "$PKGEXT" in
*tar.gz) EXT=${PKGEXT%.gz} ;;
*tar.bz2) EXT=${PKGEXT%.bz2} ;;
*tar.xz) EXT=${PKGEXT%.xz} ;;
*) warning "$(gettext "'%s' is not a valid archive extension.")" \
"$PKGEXT" ; EXT=$PKGEXT ;;
esac
local pkg_file="$PKGDEST/${nameofpkg}-${pkgver}-${pkgrel}-${CARCH}${EXT}"
local ret=0
# when fileglobbing, we want * in an empty directory to expand to
# the null string rather than itself
shopt -s nullglob
bsdtar -cf - $comp_files * > "$pkg_file" || ret=$?
shopt -u nullglob
if [ $ret -eq 0 ]; then
case "$PKGEXT" in
*tar.gz) gzip -f -n "$pkg_file" ;;
*tar.bz2) bzip2 -f "$pkg_file" ;;
*tar.xz) xz -z -f "$pkg_file" ;;
esac
ret=$?
fi
if [ $ret -ne 0 ]; then
error "$(gettext "Failed to create header package file.")"
exit 1 # TODO: error code
fi
}
create_header2_package() {
if [ -z "$1" ]; then
nameofpkg="$pkgname"
else
nameofpkg="$1"
fi
if [ ! -d "$hdrdir" ]; then
error "$(gettext "Missing hdr/ directory.")"
plain "$(gettext "Aborting...")"
exit 1 # $E_MISSING_PKGDIR
fi
cd "$hdrdir"
msg "$(gettext "Creating package with header files...")"
local builddate=$(date -u "+%s")
if [ -n "$PACKAGER" ]; then
local packager="$PACKAGER"
else
local packager="Unknown Packager"
fi
local size=$(du -sk | awk '{print $1 * 1024}')
# write the .PKGINFO file
msg2 "$(gettext "Generating .PKGINFO file...")"
echo "# Generated by makepkg $myver" >.PKGINFO
if [ "$INFAKEROOT" -eq 1 ]; then
echo "# using $(fakeroot -v)" >>.PKGINFO
fi
echo "# $(LC_ALL=C date -u)" >>.PKGINFO
echo "pkgname = $nameofpkg-devel" >>.PKGINFO
echo "pkgver = $pkgver-$pkgrel" >>.PKGINFO
echo "pkgdesc = $pkgdesc (development files)" >>.PKGINFO
echo "url = $url" >>.PKGINFO
echo "builddate = $builddate" >>.PKGINFO
echo "packager = $packager" >>.PKGINFO
echo "size = $size" >>.PKGINFO
if [ -n "$CARCH" ]; then
echo "arch = $CARCH" >>.PKGINFO
fi
if [ "$(check_option force)" = "y" ]; then
echo "force = true" >> .PKGINFO
fi
local it
for it in "${license[@]}"; do
echo "license = $it" >>.PKGINFO
done
echo "depends = $nameofpkg" >>.PKGINFO
echo "group = kde-devel" >>.PKGINFO
echo "group = kde-headers" >>.PKGINFO
for it in "${packaging_options[@]}"; do
local ret="$(check_option $it)"
if [ "$ret" != "?" ]; then
if [ "$ret" = "y" ]; then
echo "makepkgopt = $it" >>.PKGINFO
else
echo "makepkgopt = !$it" >>.PKGINFO
fi
fi
done
# TODO maybe remove this at some point
# warn if license array is not present or empty
if [ -z "$license" ]; then
warning "$(gettext "Please add a license line to your %s!")" "$BUILDSCRIPT"
plain "$(gettext "Example for GPL'ed software: license=('GPL').")"
fi
local comp_files=".PKGINFO"
# tar it up
msg2 "$(gettext "Compressing package...")"
local TAR_OPT
case "$PKGEXT" in
*tar.gz) TAR_OPT="z" ;;
*tar.bz2) TAR_OPT="j" ;;
*) warning "$(gettext "'%s' is not a valid archive extension.")" \
"$PKGEXT" ;;
esac
local pkg_file="$PKGDEST/${nameofpkg}-devel-${pkgver}-${pkgrel}-${CARCH}${PKGEXT}"
# when fileglobbing, we want * in an empty directory to expand to
# the null string rather than itself
shopt -s nullglob
if ! bsdtar -c${TAR_OPT}f "$pkg_file" $comp_files *; then
error "$(gettext "Failed to create package file.")"
exit 1 # TODO: error code
fi
shopt -u nullglob
}
create_srcpackage() {
cd "$startdir"
@ -1826,8 +1427,6 @@ usage() {
# fix flyspray feature request #2978
echo "$(gettext " -R, --repackage Repackage contents of the package without rebuilding")"
echo "$(gettext " -s, --syncdeps Install missing dependencies with pacman")"
echo "$(gettext " -t, --splitdbg Put debugging symbols into their own package")"
echo "$(gettext " -u, --splithdr Put development headers into their own package")"
echo "$(gettext " --allsource Generate a source-only tarball including downloaded sources")"
echo "$(gettext " --asroot Allow makepkg to run as root user")"
echo "$(gettext " --holdver Prevent automatic version bumping for development PKGBUILDs")"
@ -1867,7 +1466,7 @@ OPT_SHORT="AcCdefFghiLmop:rRsV"
OPT_LONG="allsource,asroot,ignorearch,clean,cleancache,nodeps"
OPT_LONG="$OPT_LONG,noextract,force,forcever:,geninteg,help,holdver"
OPT_LONG="$OPT_LONG,install,log,nocolor,nobuild,rmdeps,repackage,skipinteg"
OPT_LONG="$OPT_LONG,source,syncdeps,splitdbg,splithdr,version,config:"
OPT_LONG="$OPT_LONG,source,syncdeps,version,config:"
# Pacman Options
OPT_LONG="$OPT_LONG,noconfirm,noprogressbar"
OPT_TEMP="$(parse_options $OPT_SHORT $OPT_LONG "$@" || echo 'PARSE_OPTIONS FAILED')"
@ -1909,8 +1508,6 @@ while true; do
--skipinteg) SKIPINTEG=1 ;;
--source) SOURCEONLY=1 ;;
-s|--syncdeps) DEP_BIN=1 ;;
-t|--splitdbg) SPLIT_DBG=1 ;;
-u|--splithdr) SPLIT_HDR=1 ;;
-h|--help) usage; exit 0 ;; # E_OK
-V|--version) version; exit 0 ;; # E_OK
@ -1938,10 +1535,9 @@ else
fi
# Source user-specific makepkg.conf overrides
# (we dont need that)
# if [ -r ~/.makepkg.conf ]; then
# source ~/.makepkg.conf
# fi
if [ -r ~/.makepkg.conf ]; then
source ~/.makepkg.conf
fi
# check if messages are to be printed using color
if [ -t 2 -a ! "$USE_COLOR" = "n" -a "$(check_buildenv color)" = "y" ]; then
@ -1966,7 +1562,7 @@ if [ "$CLEANCACHE" -eq 1 ]; then
if [ -n "$SRCDEST" -a "$SRCDEST" != "$startdir" ]; then
msg "$(gettext "Cleaning up ALL files from %s.")" "$SRCDEST"
echo -n "$(gettext " Are you sure you wish to do this? ")"
echo -n "$(gettext "[Y/n]")"
echo -n "$(gettext "[y/N]")"
read answer
answer=$(echo $answer | tr '[:lower:]' '[:upper:]')
if [ "$answer" = "$(gettext "YES")" -o "$answer" = "$(gettext "Y")" ]; then
@ -2136,67 +1732,21 @@ if [ "$INFAKEROOT" -eq 1 ]; then
if [ "$PKGFUNC" -eq 0 ]; then
if [ "$REPKG" -eq 0 ]; then
run_build
if [ "$(check_option splitdbg)" = "y" ] || [ "$(check_option splithdr)" = "y" ] || [ "$SPLIT_DBG" = "1" ] || [ "$SPLIT_HDR" = "1" ]; then
tidy_install
fi
tidy_install
fi
else
run_package
tidy_install
fi
if [ "$(check_option splitdbg)" = "y" ] || [ "$(check_option splithdr)" = "y" ] || [ "$SPLIT_DBG" = "1" ] || [ "$SPLIT_HDR" = "1" ]; then
create_package
# second check, if there are any files
check_dbg_files=`find $dbgdir/ -name "*.debug"`
if [ -z "$check_dbg_files" ]; then
msg "$(gettext "No .debug files found, skipping creation of the debug pkg...")"
else
create_debug_package
fi
# second check, if there are any files
check_hdr_files=`find $hdrdir/ -name "include"`
if [ -z "$check_hdr_files" ]; then
msg "$(gettext "Skipping creation of the devel pkg...")"
else
create_header_package
fi
else
create_package
fi
create_package
else
for pkg in ${pkgname[@]}; do
pkgdir="$pkgdir/pkg_${pkg}"
pkgdir="$pkgdir/$pkg"
mkdir -p "$pkgdir"
dbgdir="$startdir/dbg/dbg_${pkg}"
[ ! -d "$dbgdir" ] && mkdir -p "$dbgdir"
hdrdir="$startdir/hdr/hdr_${pkg}"
[ ! -d "$hdrdir" ] && mkdir -p "$hdrdir"
backup_package_variables
run_package $pkg
tidy_install
if [ "$(check_option splitdbg)" = "y" ] || [ "$(check_option splithdr)" = "y" ] || [ "$SPLIT_DBG" = "1" ] || [ "$SPLIT_HDR" = "1" ]; then
create_package $pkg
# second check, if there are any files
check_dbg_files=`find $dbgdir/ -name "*.debug"`
if [ -z "$check_dbg_files" ]; then
msg "$(gettext "No .debug files found, skipping creation of the debug pkg...")"
else
create_debug_package $pkg
fi
# third check, headers
check_hdr_files=`find $hdrdir/ -name "include"`
if [ -z "$check_hdr_files" ]; then
msg "$(gettext "Skipping creation of the devel pkg...")"
else
create_header_package $pkg
fi
else
create_package $pkg
fi
create_package $pkg
restore_package_variables
pkgdir="${pkgdir%/*}"
done
@ -2249,8 +1799,6 @@ umask 0022
# get back to our src directory so we can begin with sources
mkdir -p "$srcdir"
mkdir -p "$dbgdir"
mkdir -p "$hdrdir"
cd "$srcdir"
if [ "$NOEXTRACT" -eq 1 ]; then
@ -2302,58 +1850,15 @@ else
elif [ "$REPKG" -eq 0 ]; then
tidy_install
fi
if [ "$(check_option splitdbg)" = "y" ] || [ "$(check_option splithdr)" = "y" ] || [ "$SPLIT_DBG" = "1" ] || [ "$SPLIT_HDR" = "1" ]; then
create_package
# second check, if there are any files
check_dbg_files=`find $dbgdir/ -name "*.debug"`
if [ -z "$check_dbg_files" ]; then
msg "$(gettext "No .debug files found, skipping creation of debug packages...")"
else
create_debug_package
fi
# second check, if there are any files
check_hdr_files=`find $hdrdir/ -name "include"`
if [ -z "$check_hdr_files" ]; then
msg "$(gettext "Skipping creation of the devel pkg...")"
else
create_header_package
fi
else
create_package
fi
create_package
else
for pkg in ${pkgname[@]}; do
pkgdir="$pkgdir/pkg_$pkg"
pkgdir="$pkgdir/$pkg"
mkdir -p "$pkgdir"
dbgdir="$startdir/dbg/dbg_${pkg}"
[ ! -d "$dbgdir" ] && mkdir -p "$dbgdir"
hdrdir="$startdir/hdr/hdr_${pkg}"
[ ! -d "$hdrdir" ] && mkdir -p "$hdrdir"
backup_package_variables
run_package $pkg
tidy_install
if [ "$(check_option splitdbg)" = "y" ] || [ "$(check_option splithdr)" = "y" ] || [ "$SPLIT_DBG" = "1" ] || [ "$SPLIT_HDR" = "1" ]; then
create_package $pkg
# second check, if there are any files
check_dbg_files=`find $dbgdir/ -name "*.debug"`
if [ -z "$check_dbg_files" ]; then
msg "$(gettext "No .debug files found, skipping creation of debug packages...")"
else
create_debug_package $pkg
fi
check_hdr_files=`find $hdrdir/ -name "include"`
if [ -z "$check_hdr_files" ]; then
msg "$(gettext "Skipping creation of the devel pkg...")"
else
create_header_package $pkg
fi
else
create_package $pkg
fi
create_package $pkg
restore_package_variables
pkgdir="${pkgdir%/*}"
done